CNI question

Nic Ferrier nferrier@tapsellferrier.co.uk
Tue Aug 21 05:43:00 GMT 2001


From: Holger.Brands@ser.de
> Especially:
> Do I have to use the gcj java runtime environment or can
> I use another JRE, for example from SUN ?

You can only use GCJ. It's the only java environment that supports CNI.


> Do I have to use the g++ - compiler (which version ?) or are
> other compilers supported as well ?

Yes. You should only use g++.


> Sorry if these questions sound silly to you,
> but I am a newbie to CNI ;-)

If you read through some more of the documentation (and the archives of this
mailing list) you will see the reason why CNI can only be used with GCJ.


Nic Ferrier



More information about the Java mailing list